package com.iit;

import java.util.ArrayList;

public class LogicController {

	DBConnector mDBConnector;

	public LogicController() {
		mDBConnector = new DBConnector();
	}

	public boolean AddUser(String firstname, String lastname) {
		return mDBConnector.InsertUser(firstname, lastname);
	}

	public ArrayList<User> ListUsers() {
		return mDBConnector.getUsers();
	}
	
	public boolean checkUserAlreadyExist(int row_id) {
		return mDBConnector.getAUser(row_id);
	}

	public boolean DeleteUser(int row_id) {
		return mDBConnector.DeleteUser(row_id);
	}
	
	public boolean GetAUser(int row_id) {
		return mDBConnector.getAUser(row_id);
	}
	
}
